Update an entity

Updates an entity and, when supplied, creates or updates its address.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idintegerRequired
Entity ID.

Request

This endpoint expects an object.
entity_type_idintegerRequired
namestringRequired<=255 characters
legal_namestring or nullOptional<=255 characters
tax_idstring or nullOptional<=50 characters
tax_exemptboolean or nullOptional
emailstring or nullOptionalformat: "email"<=255 characters
phonestring or nullOptional<=50 characters
notestring or nullOptional
addresslist of maps from strings to any or nullOptional
donation_receipt_not_allowedboolean or nullOptional
processing_fee_blockedboolean or nullOptional

Response

Entity updated.
statusstringOptional
messagestringOptional
dataobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error